
D4Science Infrastructure - Task #3064

Investigate the installation of an identity manager

Mar 25, 2016 06:42 PM - Andrea Dell'Amico

Status: Closed Start date: Mar 25, 2016

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Development, Pre-Production,

Production

  

Description

It could be a way to eliminate manage.research-infrastructures.eu and integrate the ldap data from the portals with rules needed

internally.

Related issues:

Related to D4Science Infrastructure - Task #3261: Manage more ldap groups fro... Closed Apr 13, 2016

History

#1 - Mar 25, 2016 06:43 PM - Andrea Dell'Amico

A possibile candidate: https://evolveum.com/midpoint/

#2 - Jul 15, 2016 03:55 PM - Andrea Dell'Amico

- Status changed from New to In Progress

idm.d4science.org. IN A 146.48.122.94

#3 - Jul 15, 2016 07:13 PM - Andrea Dell'Amico

midPoint is way too much and way too complex for our needs. Better try a plain ldap manager:

https://www.fusiondirectory.org/

https://oss.gonicus.de/labs/gosa/

https://www.ldap-account-manager.org/lamcms/

#4 - Jul 19, 2016 12:05 PM - Andrea Dell'Amico

- % Done changed from 0 to 30

I'm experimenting with fusiondirectory, reachable here: https://ldap-d.d4science.org/fusiondirectory/

The admin user is fd-admin, same password of the admin ldap user.

I'm adding additional groups under dn: ou=Groups,dc=d4science,dc=org so that we do not conflict with the portal generated groups.

#5 - Jul 19, 2016 04:07 PM - Andrea Dell'Amico

- % Done changed from 30 to 60

It's working, I'm installing it on ldap.d4science.org too. 

#6 - Jul 19, 2016 05:42 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 60 to 100

It's working. I just reconfigured redmine to use the new ldap redmine_admins group as the administrators group.

#7 - Jul 26, 2016 05:53 PM - Andrea Dell'Amico

- Related to Task #3261: Manage more ldap groups from the portal so that we can setup different roles on various services added
